Bug 460886

Summary: Review Request: libnetdude - a libpcap trace file manipulation library
Product: [Fedora] Fedora Reporter: Christian <christian>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: andreas, bugs.michael, fedora-package-review, itamar, limburgher, mail, notting, wolfy
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-11-24 22:19:24 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 460887    
Bug Blocks: 201449, 460885    

Description Christian 2008-09-02 07:59:36 EDT
Spec URL: http://www.icir.org/christian/fedora/libnetdude.spec
SRPM URL: http://www.icir.org/christian/fedora/libnetdude-0.11-1.src.rpm
Description: libnetdude is the packet manipulating backend of Netdude, the
network dump data editing framework. It fills the gap between
the low-level libpcap API and the high-level requirements for
packet manipulation applications. libnetdude provides data types
and an API for the most common requirements when dealing with
libpcap trace files: trace files, packets, network protocols,
packet iterators, packet filters. libnetdude supports manipulation
of arbitrarily large trace files, and is extendable through a
plugin facility.

Please note: I need a sponsor.
Comment 1 Fabian Affolter 2008-09-10 17:05:33 EDT
rpmlint says...
[rpm@laptop024 SRPMS]$ rpmlint libnetdude-0.11-1.src.rpm 
libnetdude.src:17: W: hardcoded-packager-tag Christian
libnetdude.src:19: W: hardcoded-prefix-tag %{prefix}
libnetdude.src:47: W: configure-without-libdir-spec
libnetdude.src: W: no-version-in-last-changelog
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Some quick comments on your spec:

- use macros http://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo#Macros

- Don't use tag 'Packager'

- The Tag 'Release' should incl. %{?dist} and bumped with every new version of your spec file.

- %changelog, add version and release according the sample in the Package HowTo


More details can be found http://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo
Comment 2 Jon Ciesla 2008-09-19 11:22:55 EDT
Fabian, I can sponsor Christian once you complete the full review.  If you like I can just do the review as well.  I'll be doing the review this blocks, just want to avoid treading on toes. :)
Comment 3 Christian 2008-09-19 13:25:52 EDT
Hi guys, thanks for the sponsor offer and the RPM suggestions. I'll address them asap and post an update when complete.
Comment 4 Fabian Affolter 2008-09-20 16:08:27 EDT
Jon, I can do a full review later but it would be good if a packager with some experience check my review.
Comment 5 manuel wolfshant 2008-09-20 20:55:41 EDT
Fabian, I suggest to go ahead, assign the bug to yourself and do the review. Either Jon or myself will check after that.
Comment 6 Jon Ciesla 2008-09-22 09:15:36 EDT
(In reply to comment #5)
> Fabian, I suggest to go ahead, assign the bug to yourself and do the review.
> Either Jon or myself will check after that.

+1
Comment 7 Jon Ciesla 2008-10-08 09:29:27 EDT
I'm willing to do this review.  Post updated versions addressing Fabian's comments in #1, and I'll assign to myself and complete.
Comment 8 Andreas Thienemann 2008-10-17 13:20:49 EDT
As discussed with christian, I'm offering to do the review as I already did the same work and we'd be able to comaintain the package in the future:

SPEC: http://home.bawue.de/~ixs/libnetdude/libnetdude.spec
SRPM: http://home.bawue.de/~ixs/libnetdude/libnetdude-0.11-1.fc9.src.rpm

libnetdude allows to implement trace file manipulations at a much higher level
of abstraction than code written directly on top of the pcap library. It also
provides a command-line interface that directly lets you script all packet-
mangling capabilities provided by the set of plugins you have installed.

[athienem@localhost libnetdude]$ rpmlint /var/lib/mock/fedora-rawhide-*/result/*.rpm
8 packages and 0 specfiles checked; 0 errors, 0 warnings.
[athienem@localhost libnetdude]$
Comment 9 Jon Ciesla 2008-10-17 13:39:10 EDT
Will you be sponsoring him then?
Comment 10 Mamoru TASAKA 2008-10-24 12:44:44 EDT
Currently who is the submitter and who is the reviewer?
Comment 11 Jon Ciesla 2008-10-24 12:48:28 EDT
Christian is the submitter, and Andreas is the reviewer, AFAIK.  Andreas can now sponsor.
Comment 12 Andreas Thienemann 2008-10-24 12:54:51 EDT
Jon got that right.

As discussed with Christian, he's happy for me to do the review, so I'll just set the flags then, and assign it.

Everybody happy with that?
Comment 13 Andreas Thienemann 2008-10-24 12:57:15 EDT
A note about the libnetdude.spec from me, that one is a package I created for some project at Red Hat and posted here for reference.
Comment 14 Jason Tibbitts 2008-11-24 22:19:24 EST
Since the submitter hasn't responded to the libpcapnav review after many weeks and multiple pings, it has been closed and thus this must be closed as well.
Comment 15 Jason Tibbitts 2008-12-21 15:35:28 EST

*** This bug has been marked as a duplicate of bug 477545 ***